Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion

osTicket v1.10 (stable) and Maintenance Release v1.9.15 are now available! Go get it now

Error 500 when trying to install

I unpacked the stable version to my http folder, but when I access it through http, I get enpty page in FireFox, and in Chrome "Error 500".
The same thing happens when I try the RC2 version.

nginx/error.log contains nothing. The last log entry is from 2 weeks ago.
Tagged:

Comments

  • You have not provided enough information for us to meaningfully assist you.  Please help us to help you by reading and following the posting guidelines located in this thread: Please read before requesting assistance.  The more information you give us the better we will be able to assist you. Thank you.
  • Here it the missing info:
    • PHP Error log entries or displayed errors: the log is empty
    • PHP version: 7.0.2
    • Operating System: Arch Linux
    • the location - the url: bit.ly/1mwRK9O
  • Your problem is that you are running PHP7.  osTicket has yet to be updated for that version.
    You need to use 5.3 through 5.6
  • I see. Is there some particular reason older version is required? When can we expect support for PHP7?
  • Q: Is there some particular reason older version is required?
    A: Well PHP7 is brand new, and osTicket hasn't been updated yet to run with that version.  PHP deprecates and changes features of the scripting language over time and the changes from 5 to 7 are pretty steep (hence why they went from 5.6 to 7 skipping 6).

    Q: When can we expect support for PHP7?
    A: When it's ready.  There have been several commits at the github already towards this goal.
Sign In or Register to comment.